Subject: bug#11924: t/aclocal7.sh fails after updating from 1.12.1 to 1.12.2

From: Stefano Lattarini <[email-masked]>
Date: Tue, 24 Jul 2012 11:34:34 +0200

Hi Peter.

On 07/23/2012 09:01 PM, Peter Simons wrote:
> Hi Stefano,
> 
>  > For future reference: the complete log (usually quite verbose, in the
>  > case of Automake tests) is automatically saved in the 't/aclocal7.log'
>  > file by the Automake test harness.
> 
> on NixOS, those tests are usually run automatically by a build daemon.
> The sandbox used for the build isn't available anymore once the build
> has terminated. Generally speaking, I don't see anything that wasn't
> written to stdout or stderr.
>
Then I advise you to add "VERBOSE=yes" to the environment of the sandbox,
so that the Automake-generated testsuite harnesses will copy the content
of test-suite.log on stdout in case of failure.

> Anyway, it's good to know where those logs
> are nonetheless; thank you for the pointer.
>
I hope this new pointer will help you even more.

Best regards,
  Stefano